var input = document.getElementById("q");
var results = document.getElementById("results");

input.value = "";
results.value = "";
input.focus();

var sendRequest = function() {
	var query = input.value;
	if (!query) { 
		results.value = "";
		return; 
	}
	
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = receiveResponse;
	xhr.open("GET", "../server/?q="+query, true);
	xhr.send(null);
}

var receiveResponse = function() {
	if (this.readyState != 4) { return; }
	if (this.status != 200) { return; }
	results.value = this.responseText;
}


input.addEventListener("keyup", sendRequest, false);
